Okta Privileged Access
//
Create a service user
OPA roles:
- resource_admin
Creates a service user that can be used to automate interactions with the Okta Privileged Access API
Security
bearerAuth
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/service_users
curl -i -X POST \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/service_users' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "OPA User"
}'Created
A timestamp indicating when the user was deleted
The UUID of the user
If defined, indicates the OAuth client application ID tied to a service user. Only available when the user was created as part of an OAuth approval flow.
The status of the user: ACTIVE, DISABLED, or DELETED. Users can't disable or delete their own account.
Response
{ "deleted_at": null, "details": null, "id": "aa225c16-af6e-4ab4-9150-456fd472e2d7", "name": "OPA User", "status": "ACTIVE", "team_name": "william-faulkner", "user_type": "service" }